#import "ApplicationController.h"
#import "PanelController.h"
#import "MElement.h"

@implementation ApplicationController
//klassenvariable
static ApplicationController* applicationController = nil;  

+(ApplicationController*)defaultApplicationController
{
	return applicationController;
}

+(void)setDefaultApplicationController:(ApplicationController*)ac
{
	applicationController = ac;
}    

-(id)init
{//hier geht die eine instanz rein, da -
	if(self = [super init])
	{
		[ApplicationController setDefaultApplicationController:self];
		panelController = [[PanelController alloc] init];
	}
	return self;
}

-(PanelController*)panelCon
{
	return panelController;
}

-(void)dealloc
{
	[panelController release];
	[super dealloc];
} 

#pragma mark Funktionen
-(void)showHilfePanel:(MElement*)string
{
	[panelController showWindow:self];
	//[panelController setzeView2:string];
	
}

-(void)showModellPanel:(MElement*)string:(NSDocument*)dokument:(BOOL)dk aktion:(BOOL)ak
{
	[panelController showWindow:self];
	[[panelController window] makeKeyAndOrderFront:self];
	[panelController setzeView:string :dokument:dk aktion:ak];
	
}

-(void)setzeMehrfachPanel
{
	[panelController showWindow:self];
	[[panelController window] makeKeyAndOrderFront:self];
	[panelController setzeMehrfachauswahlView];
}

@end
