//
//  Entscheidung.m
//  inES
//
//  Created by Sabrina Hilger on 20.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "Entscheidung.h"


@implementation Entscheidung

-(id)init
{
	if(self = [super init])
	{
		elseZweig = NO;
		ifBefehle = [[NSMutableArray alloc] init];
		elseBefehle = [[NSMutableArray alloc] init];
		ifVariablen = [[NSMutableArray alloc] init];
		elseVariablen = [[NSMutableArray alloc] init];
		abgespielt = NO;
	}
	return self;
}

-(NSString*)description
{
return [NSString stringWithFormat:@"entsch abgespielt = %d",(int)abgespielt];
}

-(void)setBedingung:(NSString*)b
{
	[b retain];
	[bedingung release];
	bedingung = b;
}

-(void)addIfBefehl:(id)befehl
{
	[ifBefehle addObject:befehl];
}

-(void)addElseBefehl:(id)befehl
{
	[elseBefehle addObject:befehl];
}

-(void)setVorgaenger:(id)v
{
	vorgaenger = v;
}

-(void)setElseZweig:(BOOL)b
{
	elseZweig = b;
}

-(void)addVariable:(Variable*)v inListe:(NSString*)string
{
	if ([string isEqualToString:@"if"]) {
		[ifVariablen addObject:v];
	}
	else {
		[elseVariablen addObject:v];
	}
}

-(NSMutableArray*)variablen
{
	if (elseZweig == NO) {
		return ifVariablen;
	}
	else {
		return elseVariablen;
	}
}

-(BOOL)elseZweig
{
	return elseZweig;
}

-(id)vorgaenger
{
	return vorgaenger;
}

-(void)setAbgespielt:(BOOL)b
{
	abgespielt = b;
}

-(BOOL)abgespielt
{
	return abgespielt;
}

-(NSMutableArray*)ifBefehle
{
	return ifBefehle;
}
-(NSMutableArray*)elseBefehle
{
	return elseBefehle;
}


-(NSString*)bedingung
{
	return bedingung;
}

-(void)dealloc
{
	NSLog(@"entscheid wird dealloc");
	[bedingung release];
	[ifBefehle release];
	[elseBefehle release];
	[ifVariablen release];
	[elseVariablen release];
	[super dealloc];
}
@end
