//
//  MElement.m
//  inES
//
//  Created by Sabrina Hilger on 04.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "MElement.h"
#import "Automat.h"

@implementation MElement

//-(NSString*)description
//{
//return [NSString stringWithFormat:@"Typ = %@, Beschreibung = %@",typ,beschreibung];
//} 
- (id)initWithCoder:(NSCoder *)decoder
{
	if(self = [super init])
	{
		typ = [[decoder decodeObjectForKey:@"inES typ"] retain];
		beschreibung = [[decoder decodeObjectForKey:@"inES beschreibung"] retain];
		automat = [[decoder decodeObjectForKey:@"inES automat"] retain];
		
		boolTitel = [decoder decodeBoolForKey:@"inES boolTitel"];
		boolAktion = [decoder decodeBoolForKey:@"inES boolAktion"];
		boolUebergang = [decoder decodeBoolForKey:@"inES boolUebergang"];
		gemalt = [decoder decodeBoolForKey:@"inES gemalt"];
		aktiv = NO;//[decoder decodeBoolForKey:@"inES aktiv"];
		
		rect = [decoder decodeRectForKey:@"inES rect"];
		
		
		//NSLog(@"%f, %f",[decoder decodeFloatForKey:@"inES rect.size.width"],[decoder decodeFloatForKey:@"inES rect.origin.x"]);
	}
	return self;
}

- (void)encodeWithCoder:(NSCoder *)encoder
{	
	[encoder encodeObject: typ forKey:@"inES typ"];
	[encoder encodeObject: beschreibung forKey:@"inES beschreibung"];
	[encoder encodeObject: automat forKey:@"inES automat"];
	
	[encoder encodeBool: boolTitel forKey:@"inES boolTitel"];
	[encoder encodeBool: boolAktion forKey:@"inES boolAktion"];
	[encoder encodeBool: boolUebergang forKey:@"inES boolUebergang"];
	[encoder encodeBool: gemalt forKey:@"inES gemalt"];
	//[encoder encodeBool: aktiv forKey:@"inES aktiv"];
	
	[encoder encodeRect: rect forKey:@"inES rect"];
	
	//[encoder encodeFloat: rect.size.width forKey:@"inES rect.size.width"];
	//[encoder encodeFloat: rect.origin.x forKey:@"inES rect.origin.x"];
}

-(void)setAutomat:(Automat*)a
{
	automat = a;
}

-(void)setzeView:(NSView*)d
{
	modelView = d;
}

-(void)setTyp:(NSString*)string
{
	[string retain];
	[typ release];
	typ = string;
}

-(void)setBeschreibung:(NSString*)string
{
	
	[beschreibung release];
	beschreibung = [string copy];
	//NSLog(@"neue beschreibung gesetzt %@ %@", beschreibung, [self typ]);
}
-(void)setBoolTitel:(BOOL)b
{
	boolTitel = b;
}
-(void)setBoolAktion:(BOOL)b
{
	if (b) {
		rect.size.height += 23;
	}
	else {
		rect.size.height -= 23;
	}
	boolAktion = b;
}
-(void)setBoolUebergang:(BOOL)b
{
	boolUebergang = b;
}
-(void)setRect:(NSRect)r
{
	rect = r;
}

-(void)setGemalt:(BOOL)b
{
	gemalt = b;
}

-(void)setAktiv:(BOOL)b
{
	aktiv = b;
}

-(NSString*)typ
{
	return typ;
}
-(NSString*)beschreibung
{
	return beschreibung;
}
-(BOOL)boolTitel
{
	return boolTitel;
}
-(BOOL)boolAktion
{
	return boolAktion;
}
-(BOOL)boolUebergang
{
	return boolUebergang;
}
-(NSRect)rect
{
	return rect;
}

-(BOOL)gemalt
{
	return gemalt;
}

-(BOOL)aktiv
{
	return aktiv;
}

-(NSString*)code
{
	return @"";
}

//fuer die Ausfuehrung
-(void)setVorgaenger:(NSString*)v
{
	[v retain];
	[vorgaenger release];
	vorgaenger = v;
}
-(NSString*)vorgaenger
{
	return vorgaenger;
}


-(void)dealloc
{
	[typ release];
	[beschreibung release];
	[super dealloc];
}

@end
