//
//  Variable.m
//  inES
//
//  Created by Sabrina Hilger on 20.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "Variable.h"


@implementation Variable

-(id)init
{
	if(self = [super init])
	{
		definition = NO;
		gesetzt = NO;
		abgespielt = NO;
	}
	return self;
}

-(id)retain {
	return [super retain];
}


-(NSString*)description
{
return [NSString stringWithFormat:@"Variable %@ mit wert %@", name, expr];
}

-(void)setDefinition:(BOOL)b
{
	definition = b;
}

-(void)setName:(NSString*)n
{
	[n retain];
	[name release];
	name = n;
}

-(void)setExpr:(NSString*)e
{
	[e retain];
	[expr release];
	expr = e;
}

-(void)setTyp:(NSString*)t
{
	[t retain];
	[typ release];
	typ = t;
}

-(void)setGesetzt:(BOOL)b
{
	gesetzt = b;
}

-(void)setOwner:(id)ow
{
	owner = ow;
}

-(void)setWert:(NSString*)w
{
	[w retain];
	[wert release];
	wert = w;
}

-(void)setAbgespielt:(BOOL)b
{
	abgespielt = b;
}

-(NSString*)name
{
	return name;
}
-(NSString*)expr
{
	return expr;
}

-(NSString*)typ
{
	return typ;
}

-(BOOL)gesetzt
{
	return gesetzt;
}

-(NSString*)owner
{
	return owner;
}

-(NSString*)wert
{
	return wert;
}

-(BOOL)abgespielt
{
	return abgespielt;
}

-(BOOL)gibDefinition
{
	return definition;
}

-(void)dealloc
{
	NSLog(@"var wird dealloc");
	[name release];
	[expr release];
	[super dealloc];
}
@end
