//
//  Automat.h
//  inES
//
//  Created by Sabrina Hilger on 05.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Memo.h"
#import "Variable.h"
#import "MElement.h"
#import "Formular.h"

@class MyDocument;

@interface Automat : NSObject {

MyDocument* dokument;

NSMutableArray* eListe;
NSMutableArray* uebergListe;
NSMutableArray* memos;

NSMutableArray* variablennamen;
NSMutableArray* zustandsnamen;
NSMutableArray* feldnamen;

NSMutableArray* variablen;

MElement* aktivesMElement;
Formular* vaterVonAktivemMElement;
NSString* kommando;
}

-(void)setzeDokument:(MyDocument*)d;

-(NSMutableArray*)eListe;
-(NSMutableArray*)uebergListe;

-(void)addVariable:(Variable*)v;
-(NSMutableArray*)variablen;

-(void)addMemo:(Memo*)m;
-(void)addName:(NSString*)n von:(NSString*)s;
-(Memo*)memoCheck;

-(void)cleanUp;




-(void)delegiereAblauf;





-(MElement*)aktivesMElement;
-(void)setzeKommando:(NSString*)komm;
-(void)setzeAktivesMElement:(id)m;
-(void)setzeVaterVonAktivemMElement;
-(Formular*)vaterVonAktivemMElement;
@end
