//
//  Block.h
//  inES
//
//  Created by Sabrina Hilger on 04.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MElement.h"
#import "Uebergang.h"
#import "Prompt.h"
#import "Variable.h"

@interface Block : MElement {

NSMutableArray* uebergangListe;
BOOL dragged;
id vater;

//fuer die Ausfuehrung
//NSMutableArray* prompts;
NSMutableArray* aktionsbefehle;
NSMutableArray* aktiveBefehle;
NSMutableArray* ruecksetzListe;
int durchlauf;
NSMutableArray* variablen;
BOOL gesetzt;
}

-(void)setDragged:(BOOL)b;
-(void)neuerUebergang:(id)element :(NSString*)bedingung;
-(void)uebergangAendern:(int)index :(NSString*)bedingung;
-(void)setVater:(id)v;

-(NSMutableArray*)uebergangListe;
-(BOOL)dragged;
-(id)vater;

//ausfuehrung
-(void)addAktionsbefehl:(id)befehl;
-(NSMutableArray*)aktionsbefehle;
-(NSMutableArray*)aktiveBefehle;
-(void)setzeBefehleZurueck;
-(void)addInRuecksetzliste:(id)befehl;


-(void)addVariable:(Variable*)v;
-(void)setGesetzt:(BOOL)b;
-(void)removeVariableMitName:(NSString*)name;

-(NSMutableArray*)variablen;
-(BOOL)gesetzt;

@end
