//
//  Feld.h
//  inES
//
//  Created by Sabrina Hilger on 04.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MElement.h"
#import "Uebergang.h"
#import "Prompt.h"
#import "Filled.h"
#import "Option.h"

@interface Feld : MElement {



NSString* titel;
NSString* aktion;
NSMutableArray* uebergangListe;
//int nr;
BOOL dragged;
BOOL aktionGetroffen;
id vater;

//fuer die Ausfuehrung
NSMutableArray* prompts;
NSMutableArray* options;
Filled* filled;
NSString* exprTyp;
int durchlauf;
BOOL gesetzt;
NSString* expr;
NSString* wert;
}


-(void)setTitel:(NSString*)string;
-(void)setAktion:(NSString*)string;
-(void)setDragged:(BOOL)b;
-(void)neuerUebergang:(id)element :(NSString*)bedingung;
-(void)uebergangAendern:(int)index :(NSString*)bedingung;
-(void)setAktionGetroffen:(BOOL)b;
-(void)setVater:(id)v;

-(NSString*)titel;
-(NSString*)aktion;
-(BOOL)dragged;
-(NSMutableArray*)uebergangListe;
-(BOOL)aktionGetroffen;
-(id)vater;

//ausfuehrung
-(void)addPrompt:(Prompt*)p;
-(void)addOption:(Option*)o;
-(Filled*)filled;
-(void)setExprTyp:(NSString*)string;
-(void)erhoeheDurchlauf;
-(void)setDurchlauf;
-(void)setGesetzt:(BOOL)b;
-(void)setExpr:(NSString*)e;
-(void)setWert:(NSString*)w;

-(NSMutableArray*)gibAktuellePrompts;
-(NSMutableArray*)options;
-(int)durchlauf;
-(BOOL)gesetzt;
-(NSString*)expr;
-(NSString*)exprTyp;
-(NSString*)wert;
-(NSString*)gibOptionfuerKommando:(NSString*)kommando;
@end
