//
//  Filled.m
//  inES
//
//  Created by Sabrina Hilger on 19.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "Filled.h"


@implementation Filled

-(id)init
{
	if(self = [super init])
	{
	aktionsbefehle = [[NSMutableArray alloc] init];
	aktiveBefehle = [[NSMutableArray alloc] init];
	ruecksetzListe = [[NSMutableArray alloc] init];
	variablen = [[NSMutableArray alloc] init];
	gesetzt = NO;
	}
	return self;
}

-(NSString*)description
{
return [NSString stringWithFormat:@"filled anz vars = %d",[variablen count]];
}


-(void)addAktionsbefehl:(id)befehl
{
	[aktionsbefehle addObject:befehl];
	[aktiveBefehle addObject:befehl];
}

-(NSMutableArray*)aktionsbefehle
{
	return aktionsbefehle;
}

-(NSMutableArray*)aktiveBefehle
{
	return aktiveBefehle;
}

-(void)setzeBefehleZurueck
{
	int j;
	for (j=0;j<[ruecksetzListe count]; j++) {
		[[ruecksetzListe objectAtIndex:j] setAbgespielt:NO];
	}
	[ruecksetzListe removeAllObjects];
	aktiveBefehle = aktionsbefehle;
	
}

-(void)addInRuecksetzliste:(id)befehl
{
	[ruecksetzListe addObject:befehl];
}



-(void)setVorgaenger:(NSString*)v
{
	[v retain];
	[vorgaenger release];
	vorgaenger = v;
}






-(NSString*)vorgaenger
{
	return vorgaenger;
}

-(void)addVariable:(Variable*)v
{
	[variablen addObject:v];
}

-(NSMutableArray*)variablen
{
	return variablen;
}

-(void)removeVariableMitName:(NSString*)name
{
	int m;
	for (m=0; m < [variablen count]; m++) {
		if ([[[variablen objectAtIndex:m] name] isEqualToString:name]) {
		//NSLog(@"retain count vor dem loeschen ist %d", [[variablen objectAtIndex:m] retainCount]);
			[variablen removeObjectAtIndex:m];
		}
	}
}

-(void)setGesetzt:(BOOL)b
{
	gesetzt = b;
	if (gesetzt == NO) {
		//prompts abgespielt = no
	}
}

-(BOOL)gesetzt
{
	return gesetzt;
}

-(void)dealloc
{
	NSLog(@"filled wird dealloc");
	[variablen release];
	[aktionsbefehle release];
	[vorgaenger release];
	[aktiveBefehle release];
	[ruecksetzListe release];
	[super dealloc];
}

@end
