//
//  Formular.h
//  inES
//
//  Created by Sabrina Hilger on 04.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MElement.h"
#import "Uebergang.h"
#import "Feld.h"
#import "Filled.h"
#import "Variable.h"


@interface Formular : MElement {

NSDocument* dokument;


NSString* titel;
NSString* aktion;
NSMutableArray* uebergangListe;
NSMutableArray* feldliste;

BOOL aktionGetroffen;

//fuer die Ausfuehrung
Filled* filled;
NSMutableArray* variablen;
NSMutableArray* feldvariablen;
}

//noch nicht benutzt
-(void)setzeDokument:(NSDocument*)d;


-(void)setTitel:(NSString*)string;
-(void)setAktion:(NSString*)string;
-(void)neuerUebergang:(id)element :(NSString*)bedingung;
-(void)uebergangAendern:(int)index :(NSString*)bedingung;
-(void)addFormitem:(id)formItem;
-(void)setAktionGetroffen:(BOOL)b;


-(NSString*)titel;
-(NSString*)aktion;
-(NSMutableArray*)uebergangListe;
-(NSMutableArray*)feldliste;
-(MElement*)letztesFormitem;
-(BOOL)aktionGetroffen;

-(NSString*)code;

//fuer die ausfuehrung
-(Filled*)filled;
-(void)addVariable:(Variable*)v;
-(NSMutableArray*)variablen;
-(void)addFeldvariable:(Variable*)v;
-(NSMutableArray*)feldvariablen;

-(void)clearAll;
-(void)removeFeldvariableMitName:(NSString*)name;
@end
