/* ModelView */

#import <Cocoa/Cocoa.h>
#import "Automat.h"

#import "Block.h"
#import "Menu.h"
#import "Feld.h"
#import "Formular.h"
#import "MElement.h"
#import "MyDocument.h"
#import "Anfasser.h"
@interface ModelView : NSView
{

NSDocument* dokument;
int i;//ja
NSRect bounds;
NSMutableDictionary* attrbg;
NSMutableDictionary* attrbk;
NSMutableDictionary* attrk;
NSMutableDictionary* attrd;
//NSFontDescriptor* fett;

//der automat wird immer in die eliste geladen
//formulare und menues
Automat* automat;//ja
NSMutableArray* eListe;//ja
NSMutableArray* uebergListe;//ja

//felder der formulare
NSMutableArray* feldliste;//ja
NSPoint vaterOrigin;

//fuer mouse-methoden
id getroffenesElement;//ja
BOOL getroffen;//ja
BOOL anfasserGetroffen;
BOOL uebergangSetzen;

id aktivesFeld;//entweder feld oder block
BOOL feldGetroffen;
Formular* vaterVonAktivemFeld;//ja
int positionFeld;

NSPoint altePos;

//fuer die view
NSMutableArray* aktiveElemente;//ja

int uebergangscounter;
id vaterVonAktivemUebergang;
NSPoint movedPoint;
NSMutableArray* anfasserListe;
}
-(void)setAutomat:(Automat*)a;
-(void)setDokument:(NSDocument*)d;
-(NSPoint)viewKoord:(NSEvent*)theEvent;

-(id)gibAktivesElement;
-(BOOL)neuesFormitemErlaubt;
-(BOOL)neueAktionErlaubt;
-(id)vaterVonAktivemFeld;
-(void)neuesElement:(id)element;
-(BOOL)neuerUebergangErlaubt;
-(void)setUebergangSetzen:(BOOL)b;

-(void)formularDesign:(Formular*)element;
-(void)menuDesign:(Menu*)element;
-(void)feldDesign:(id)element:(Formular*)vater:(BOOL)fuerMaus;
-(void)aktionDesign:(NSRect)rechteck fuerMaus:(BOOL)maus aktionGetroffen:(BOOL)aG;
-(void)umrandung:(id)element;
-(void)uebergangDesign:(Uebergang*)uebergang;

-(void)setUebergangscounter:(int)zahl;
-(void)resetAktiveElemente;
-(void)zeichnePfeilVon:(NSPoint)a nach:(NSPoint)b;
-(BOOL)istPunkt:(NSPoint)p inRechteck:(NSRect)rect;

-(NSMutableArray*)aktiveElemente;
-(void)setAktivesFeld:(MElement*)element;
-(void)setGetroffenesElement:(MElement*)element;
-(id)getroffenesElement;
-(BOOL)feldGetroffen;
@end
