//
//  PanelController.m
//  inES
//
//  Created by Sabrina Hilger on 02.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "PanelController.h"
#import "MElement.h"
#import "Formular.h"
#import "Menu.h"

@implementation PanelController

-(id)init
{
	//nib-datei wird gestartet
	if(self = [super initWithWindowNibName:@"Panel"])
	{
		initialisiert = NO;
	}
	
	return self;
}



-(void)windowDidLoad 
{
	//NSLog(@"panel nib geladen");

}

-(void)setzeMehrfachauswahlView
{
	[typView removeFromSuperview];
	[titelView removeFromSuperview];
	[beschreibungView removeFromSuperview];
	[aktionView removeFromSuperview];
	[uebergangView removeFromSuperview];
	
	
	contentView = [panel contentView];
	[contentView addSubview:mehrfachauswahlView];
}

//EinstellPanel setzen
-(void)setzeView:(id)el:(NSDocument*)dokument:(BOOL)dk aktion:(BOOL)ak
{
		
	
	element = el;
	//NSLog(@"view neu zeichnen %@ %@", [element typ], [element beschreibung]);
	dok = dokument;
	panelPos = hoehe;
	hoehe = 0;
	puffer = 10;
	
	[typView removeFromSuperview];
	[titelView removeFromSuperview];
	[beschreibungView removeFromSuperview];
	[aktionView removeFromSuperview];
	[uebergangView removeFromSuperview];
	[mehrfachauswahlView removeFromSuperview];
	
	neuesFrame = [panel frame];
	contentView = [panel contentView];
	testframe = [contentView frame];
	testframe.size.height = 20;
	
	
	if ([element boolUebergang]) 
	{
		[contentView addSubview:uebergangView];
		hoehe = hoehe + 84 + puffer;
		[uebergang reloadData];
	}
	
	if ([element boolAktion])
	{
		[contentView addSubview:aktionView];
		viewFrame = [aktionView frame];
		viewFrame.origin.y = hoehe;
		[aktionView setFrame: viewFrame];
		hoehe = hoehe + 73 + puffer;
		[aktion setString:[element aktion]];
	}
	
	//Beschreibung immer!!
	
		[contentView addSubview:beschreibungView];
		viewFrame = [beschreibungView frame];
		//NSLog(@"beschreibung %f", viewFrame.origin.y);
		viewFrame.origin.y = hoehe;
		[beschreibungView setFrame: viewFrame];
		hoehe = hoehe + 73 + puffer;
		[beschreibung setString:[element beschreibung]];
		//NSLog(@"%@",[element description]);
		//NSLog(@"von beschreibungsfeld %@", [beschreibung string]);
	
	if ([element boolTitel])
	{
		[contentView addSubview:titelView];
		viewFrame = [titelView frame];
		viewFrame.origin.y = hoehe;
		[titelView setFrame: viewFrame];
		hoehe = hoehe + 25 + puffer;
		[titel setStringValue:[element titel]];
	}

	//Typ wird immer ausgegeben
	[contentView addSubview:typView];
	viewFrame = [typView frame];
	viewFrame.origin.y = hoehe;
	[typView setFrame: viewFrame];
	hoehe = hoehe + 24 + puffer;
	[typ setStringValue:[element typ]];
	
	//panel frame setzen
	neuesFrame.size.height = hoehe;
	neuesFrame.size.width = 270;
	neuesFrame.origin.y = neuesFrame.origin.y - hoehe + panelPos;
	[panel setFrame:neuesFrame display:YES];
	
	
	if(dk){
	[panel makeKeyAndOrderFront:nil];
	}
	initialisiert = YES;
	
	
}

- (void)keyDown:(NSEvent *)theEvent {
//NSLog(@"key down");
}

- (BOOL)acceptsFirstResponder {
	return YES;
}

- (BOOL)becomeFirstResponder {
//NSLog(@"become f rst res[p");
}
#pragma mark Eingaben entgegen nehmen und speichern vom EinstellPanel
//fuer textfelder und uebergaenge
-(void)controlTextDidChange:(NSNotification*)notiz
{
	if ([notiz object] == titel) {
		
		NSString* input = [titel stringValue];
		NSString* output;
		
		int k = [input length] ;
		if(k > 10)
		{
			NSBeep();
			
			output = [input substringToIndex:10];
		}
		else
			output = input;
		
		//neuen Titel speichern
		[element setTitel:output];
		[titel setStringValue:output];
		//NSLog(@"wert vom titelfeld: %@",output);
	}
	else {
		NSTableView *tabelle = [notiz object];
		NSTextField* zelle = [notiz object];
		int row = [tabelle selectedRow];
		//neue bedingung speichern
		[element uebergangAendern:row :[zelle stringValue]];
		//NSLog(@"uebergang %d %@", row, [zelle stringValue]);
	}
}

//fuer views
-(void)textDidChange:(NSNotification*)notiz
{
	//NSLog(@"text did change");
	NSTextView* feld = [notiz object];
	if (feld == beschreibung) {
		//neue beschreibung speichern
		[element setBeschreibung:[feld string]];
		//NSLog(@"neue beschreibung %@", [element beschreibung]);
	}
	else if (feld == aktion) {
		//neue aktion speichern
		[element setAktion:[feld string]];
		//NSLog(@"von aktion %@", [feld string]);
	}	
}


#pragma mark table view methoden

-(int)numberOfRowsInTableView:(NSTableView*)tv
{
	return [[element uebergangListe] count];
}

-(id)tableView:(NSTableView*)tv objectValueForTableColumn:(NSTableColumn*)tc
		row:(int)index
{
	NSString* identifier = [tc identifier];
	Uebergang* ue = [[element uebergangListe] objectAtIndex:index];
	if ([identifier isEqualToString:@"ziel"]) {
		return [[ue ziel] titel];
	}
	else {
		return [ue valueForKey:identifier];
	}
	//NSLog(@"objekte in die view laden");
}

//-(void)tableView:(NSTableView*)tv setObjectValue:(id)o
//	forTableColumn:(NSTableColumn*)tc row:(int)index
//{
//	NSString* identifier = [tc identifier];
//	Uebergang* ue = [[element uebergangListe] objectAtIndex:index];
//	[ue takeValue:o forKey:identifier];
//}

//-(void)setModellPanelAktiv:(BOOL)
//{
//	[panel s]
//}
@end
