//
//  Uebergang.m
//  inES
//
//  Created by Sabrina Hilger on 06.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "Uebergang.h"


@implementation Uebergang

-(id)init
{
	if (self = [super init]){
		[self setZielpunkt:1];
		anfasserListe = [[NSMutableArray alloc] init];
	}
	return self;
}

- (id)initWithCoder:(NSCoder *)decoder
{
//NSLog(@"uebergang init with coder");
	if(self = [super init])
	{
		bedingung = [[decoder decodeObjectForKey:@"inES bedingung"] retain];
		anfasserListe = [[decoder decodeObjectForKey:@"inES anfasserListe"] retain];
		
		vater = [[decoder decodeObjectForKey:@"inES vater"] retain];
		ziel = [[decoder decodeObjectForKey:@"inES ziel"] retain];
		
		
		startpunkt = [decoder decodeIntForKey:@"inES startpunkt"];
		zielpunkt = [decoder decodeIntForKey:@"inES zielpunkt"];
	}
	return self;
}

- (void)encodeWithCoder:(NSCoder *)encoder
{
	
	[encoder encodeObject: bedingung forKey:@"inES bedingung"];
	[encoder encodeObject: anfasserListe forKey:@"inES anfasserListe"];
	
	[encoder encodeObject: vater forKey:@"inES vater"];
	[encoder encodeObject: ziel forKey:@"inES ziel"];
	
	[encoder encodeInt:startpunkt forKey:@"inES startpunkt"];
	[encoder encodeInt:zielpunkt forKey:@"inES zielpunkt"];
}

-(NSString*)description
{
return [NSString stringWithFormat:@"Ziel = %@, Bedingung = %@",[ziel titel],bedingung];
}

-(void)setZiel:(id)z
{
	[z retain];
	[ziel release];
	ziel = z;
}
-(void)setBedingung:(NSString*)b
{
	[b retain];
	[bedingung release];
	bedingung = b;
}

-(void)setVater:(id)v
{
	[v retain];
	[vater release];
	vater = v;
}

-(void)setStartpunkt:(int)s
{
	startpunkt = s;
}

-(void)setZielpunkt:(int)z
{
	zielpunkt = z;
}



-(id)ziel
{
	return ziel;
}

-(NSString*)bedingung
{
	return bedingung;
}

-(id)vater
{
	return vater;
}

-(int)startpunkt
{
	return startpunkt;
}

-(int)zielpunkt
{
	return zielpunkt;
}

-(NSMutableArray*)anfasserListe
{
	return anfasserListe;
}

-(void)dealloc
{
//NSLog(@"uebergang wird dealloc");
	[anfasserListe release];
	[ziel release];
	[bedingung release];
	[vater release];
	[super dealloc];
}

@end
